addExpiry {quantmod} | R Documentation

## Add Contract Expiration Bars to Chart

### Description

Apply options or futures expiration vertical bars to current chart.

### Usage

    addExpiry(type = "options", lty = "dotted")

### Arguments

`type` | options or futures expiration
`lty` | type of lines to draw

### Details

See options.expiry and futures.expiry in quantmod for details and limitations.

### Value

Expiration lines will be drawn at appropriate dates. A chibTA object will be returned silently.

### Author(s)

Jeffrey A. Ryan

### See Also

`addTA`

### Examples

    ## Not run:
    addExpiry()

    ## End(Not run)

[Package quantmod version 0.4-14 Index]